# Delete Specific Robot Account

> DELETE endpoint for removing a specific robot account from an organization by organization and robot account ID.

Deletes the specified robot account in an organization, based on the organization and robot account ID.

## API Endpoint

`DELETE` `{accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Automation Cloud | `https://cloud.uipath.com/` |
| Automation Cloud Public Sector | `https://govcloud.uipath.us/` |
| Automation Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

## Scopes

Requires the following scopes:

* PM.RobotAccount
* PM.RobotAccount.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/automation-cloud/automation-cloud/latest/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId`  (required) | String | The ID of the organization you want to delete the robot accounts from. |
| `robotAccountId`  (required) | String | The ID of the robot account you want to delete. |

## Responses

### 204 Success

The indicated robot account is deleted from the organization.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: https://cloud.uipath.com/{organizationName}/identity_
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* The `{robotAccountId}` is: `33-ab`

The call should resemble the following example (cURL):

```
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
```
